/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */

package ChatProgramm.controller;

import ChatProgramm.controller.commands.CommandConnect;
import ChatProgramm.controller.commands.CommandInvoker;
import ChatProgramm.controller.commands.CommandSend;
import ChatProgramm.model.Client;
import ChatProgramm.model.Server;
import ChatProgramm.model.Transmitter;
import ChatProgramm.view.ChatView;
import java.awt.Component;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 *
 * @author ahren
 */
public class CommandController implements ActionListener{
    
    private ChatView view;
    //private Transmitter transmitter;
    private CommandInvoker invoker;
    private Server server;
    private Client client;
    
//    public CommandController(ChatView view, Transmitter transmitter){
//        this.view = view;
//        this.transmitter = transmitter;
//        this.invoker = new CommandInvoker();
//    }
    
    public CommandController(ChatView view, Server server, Client client){
        this.view = view;
        this.invoker = new CommandInvoker();
        this.client = client;
        this.server = server;
    }
    
    public void registerEvents(){
        view.getBtnConnect().addActionListener(this); 
        view.getTfNachricht().addActionListener(this);
    }
    
    public void registerCommands(){
        invoker.addCommand(view.getBtnConnect(), new CommandConnect(view, server, client));
        invoker.addCommand(view.getTfNachricht(), new CommandSend(view, server, client));
    }

    /**
     * Ausführen des jeweiligen Kommandos
     * @param e Referenz auf das Event
     */
    @Override
    public void actionPerformed(ActionEvent e) {
        Component key = (Component)e.getSource();
        invoker.executeCommand(key);
//        if(key == view.getBtnOpen()|| key==view.getMiOpen())
//          invoker.deleteStack();
//        }
    }
    
}


