/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */

package ChatProgramm.controller.commands;

import ChatProgramm.model.Client;
import ChatProgramm.model.Server;
import ChatProgramm.util.OhmLogger;
import ChatProgramm.view.ChatView;
import java.util.logging.Logger;
import javax.swing.JTextField;

/**
 *
 * @author ahren
 */
public class CommandSend implements CommandInterface
{
  private static Logger lg = OhmLogger.getLogger();
  private JTextField tfNachricht;
  private String nachricht;
  private final Client client;
  private final Server server;
  
  public CommandSend(ChatView view, Server server, Client client)
  {
    tfNachricht = view.getTfNachricht();
    nachricht = tfNachricht.getText();
    this.client = client;
    this.server = server;
  }

  @Override
  public void execute()
  {
    if(server.isConnected())
      server.send(nachricht);
    if(client.isConnected())
      client.send(nachricht);
  }

  @Override
  public boolean isUndoable()
  {
    return false;
  }

  @Override
  public void undo()
  {
  }
}
